Summary:	Bandwidth & Request Throttling module for apache
Name:		apache1-mod_throttle
Version:	3.1.2
Release:	%mkrel 1
Group:		System/Servers
License:	Apache License
URL:		http://www.snert.com/Software/mod_throttle
Source0:	http://www.snert.com/Software/mod_throttle/mod_throttle-%{version}.tar.bz2
Source1:	apache1-mod_throttle.conf
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires:	apache1 = 1.3.34
Requires:	apache1-base >= 1.3.34
BuildRequires:	apache1-devel = 1.3.34
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This Apache module is intended to reduce the load on your server& bandwidth
enerated by popular virtual hosts, directories, locations, or users according
to supported polices (see below) that decide when to delay or refuse requests. 
Also mod_throttle can track and throttle incoming connections by IP address or
by authenticated remote user. 

%prep

%setup -q -n mod_throttle-%{version}

# fix mod_throttle (the NPTL issue...)
perl -pi -e "s|^#define USE_SYSTEM_V_SERIALIZATION|#undef USE_SYSTEM_V_SERIALIZATION|g" mod_throttle.c
perl -pi -e "s|^#undef USE_FCNTL_SERIALIZATION|#define USE_FCNTL_SERIALIZATION|g" mod_throttle.c

mv index.shtml index.html

%build
%{_sbindir}/apache1-apxs -I%{_includedir} -L%{_libdir} -c mod_throttle.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/apache1/modules.d
install -d %{buildroot}%{_libdir}/apache1

install -m0755 mod_throttle.so %{buildroot}%{_libdir}/apache1/
install -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/apache1/modules.d/20_mod_throttle.conf

%post
if [ -f %{_var}/lock/subsys/apache1 ]; then
    %{_initrddir}/apache1 restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/apache1 ]; then
        %{_initrddir}/apache1 restart 1>&2
    fi
fi


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Img CHANGES.txt LICENSE.txt index.html
%config(noreplace) %{_sysconfdir}/apache1/modules.d/20_mod_throttle.conf
%{_libdir}/apache1/mod_throttle.so

%changelog
* Thu Jan 19 2006 Oden Eriksson <oeriksson@mandriva.com> 3.1.2-1mdk
- fix versioning and deps

* Mon Jun 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.33_3.1.2-1mdk
- renamed to apache1-mod_throttle and reworked it quite a bit

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.1.2-12mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.1.2-11mdk
- fix lock file location (S1)

* Sun Nov 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.1.2-10mdk
- built for apache 1.3.33

* Tue Aug 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.1.2-9mdk
- force fcntl

* Thu Jun 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.1.2-8mdk
- built for apache 1.3.31

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.1.2-7mdk
- built for apache 1.3.29

* Tue Sep 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.1.2-6mdk
- rebuild with apache 1.3.28

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.1.2-5mdk
- new macros from ADVX-build

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.1.2-4mdk
- rebuild

* Fri Nov  8 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.1.2-2mdk
- Rebuild for Cooker

* Mon Oct 28 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.1.2-2mdk
- Rebuild with new apache

* Wed Oct 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.1.2-1mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- Initial release

